Bug 114808 - RFE: detect the terminal coding system
RFE: detect the terminal coding system
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-02 21:22 EST by Akira TAGOH
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 21.3-12
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-16 05:07:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2004-02-02 21:22:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.4.1)
Gecko/20031114

Description of problem:
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.4.1)
Gecko/20031114

Description of problem:
To avoiding the different encoding output easily, how about adding the
elisp to autodetecting terminal-encoding-system according to the locale?
I'm often loggin into the remote machine which has the different
locale and run it with -nw then. (e.g. local machine is ja_JP.UTF-8
but remote machine is ja_JP.eucJP). so the terminal is running as
ja_JP.UTF-8, and output from the remote machine is EUC-JP. basically
such output is broken. so if it's set according to the current locale,
it would be great.

Here is what I actually use:
(condition-case nil
    (set-terminal-coding-system
     (intern (let ((target (shell-command-to-string "locale charmap")))
               (downcase (substring target
                                    0 (1- (length target)))))))
Comment 1 Akira TAGOH 2004-04-12 05:29:31 EDT
As Bug#114807 has already been closed, perhaps is this issue already
fixed too?
Comment 2 Akira TAGOH 2004-04-12 05:36:16 EDT
Hmm, I guess not. I just tried to login to the remote machine from my
laptop pc working on EUC-JP, and change the locale to ja_JP.eucjP on
the remote machine, run emacs -nw, type M-x info, find out Mew-J info
page. look at that then.
This steps works on xemacs, but not emacs. probably emacs is needed
same fix as you did for Bug#114807.
Comment 3 Jens Petersen 2004-04-12 21:32:05 EDT
Hmmm, with auto-compression-mode the gzipped ja info pages
display ok, not without.  Perhaps we shouldn't compress them
or turn on auto-compression-mode by default?  Or is there a
better way to fix this?
Comment 4 Akira TAGOH 2004-04-12 22:33:02 EDT
indeed. are there any problem to turn on auto-compression-mode by default?
Comment 5 Jens Petersen 2004-04-15 10:51:53 EDT
Ok, let's try turning on auto-compression-mode in default,el.
Comment 6 Jens Petersen 2004-04-15 13:18:57 EDT
It should be in 21.3-12.
Comment 7 Akira TAGOH 2004-04-16 05:07:09 EDT
confirmed the fix, Thanks!

Note You need to log in before you can comment on or make changes to this bug.